Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.statcvs.pages
Class CommitListFormatter

    java.lang.Object
      net.sf.statcvs.pages.CommitListFormatter

public class CommitListFormatter
extends Object

Class for formatting a list of commits as HTML.

Version:
  $Id: CommitListFormatter.java,v 1.16 2008/04/02 11:22:14 benoitx Exp $
Author:
  Anja Jentzsch, Richard Cyganiak (richard@cyganiak.de)

Constructor Summary
`CommitListFormatter(ReportConfig config, List commits, List tags, boolean withPermalinks)` Creates a new instance for the list of commits.
`CommitListFormatter(ReportConfig config, List commit, List tags, int max, boolean withPermalinks)` Creates a new instance for the list of commits.

Method Summary
`String` | `render()` Returns HTML code for the commit log without splitting the list into pages.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommitListFormatter

    public CommitListFormatter(ReportConfig config,
                               List commits,
                               List tags,
                               boolean withPermalinks)

  Creates a new instance for the list of commits.

Parameters:
  `commits` - A list of `Commit` objects

### CommitListFormatter

    public CommitListFormatter(ReportConfig config,
                               List commit,
                               List tags,
                               int max,
                               boolean withPermalinks)

  Creates a new instance for the list of commits.

Parameters:
  `max` - maximum number of commits for the log; if there are more, only the most recent will be used

Method Detail

### render

    public String render()

  Returns HTML code for the commit log without splitting the list into pages.

  Returns:
    HTML code for the commit log

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD